import { HTTPRequest, HTTPResponse, Page } from 'puppeteer';
interface WaiterOptions {
    timeout?: number;
    resetOnNavigate?: boolean;
    waitFor?: requestFilter;
    onResponse?: responseEventHanlder;
    debug?: boolean;
}
interface Waiter {
    listen(): void;
    wait(): Promise<boolean>;
    stopListening(): void;
    getRequestsCount(): number;
}
declare type requestEventHanlder = (request: HTTPRequest) => void;
declare type responseEventHanlder = (response: HTTPResponse) => void;
declare type framenavigatedEventHanlder = (frame: any) => void;
declare type requestFilter = (request: HTTPRequest) => boolean;
export declare class ResponseWaiter implements Waiter {
    options: WaiterOptions;
    requestsCount: number;
    page: Page;
    isListening: boolean;
    requestHandler: requestEventHanlder;
    responseHandler: responseEventHanlder;
    requestfailedHandler: requestEventHanlder;
    framenavigatedHandler: framenavigatedEventHanlder;
    constructor(page: Page, options?: WaiterOptions);
    shouldWait(request: HTTPRequest): boolean;
    listen(): void;
    stopListening(): void;
    wait(): Promise<boolean>;
    getRequestsCount(): number;
}
export default ResponseWaiter;
